commit:     f09fe4809ba88d7849a5cd691c33f63cbc48daf7
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 11 00:15:07 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 11 00:15:26 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f09fe480

app-office/ledger: [QA] Minor fixes

* Simplify dev-libs/boost dependency
* Add missing call to 'cmake-utils_src_prepare'
* Remove DOCS, as einstalldocs already covers this
* Fix wrong indentation
* Call correct 'cmake-utils_src_install' function

Package-Manager: portage-2.3.3

 app-office/ledger/ledger-3.1.1.ebuild | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/app-office/ledger/ledger-3.1.1.ebuild 
b/app-office/ledger/ledger-3.1.1.ebuild
index 679e7b6..7bf7605 100644
--- a/app-office/ledger/ledger-3.1.1.ebuild
+++ b/app-office/ledger/ledger-3.1.1.ebuild
@@ -22,11 +22,10 @@ SITEFILE=50${PN}-gentoo-${PV}.el
 CHECKREQS_MEMORY=8G
 
 COMMON_DEPEND="
-       dev-libs/gmp:0
-       dev-libs/mpfr:0
+       dev-libs/boost:=[python?]
+       dev-libs/gmp:0=
+       dev-libs/mpfr:0=
        emacs? ( virtual/emacs )
-       python? ( dev-libs/boost:=[python] )
-       !python? ( dev-libs/boost:= )
 "
 RDEPEND="
        ${COMMON_DEPEND}
@@ -41,8 +40,6 @@ DEPEND="
        )
 "
 
-DOCS=(README.md)
-
 # Building with python integration seems to fail without 8G available
 # RAM(!)  Since the memory check in check-reqs doesn't count swap, it
 # may be unfair to fail the build entirely on the memory test alone.
@@ -51,24 +48,27 @@ DOCS=(README.md)
 pkg_pretend() {
        :
 }
+
 pkg_setup() {
        if use python; then
-          check-reqs_pkg_setup
-          python-single-r1_pkg_setup
+               check-reqs_pkg_setup
+               python-single-r1_pkg_setup
        fi
 }
 
 src_prepare() {
+       cmake-utils_src_prepare
+
        # Want to type "info ledger" not "info ledger3"
        sed -i -e 's/ledger3/ledger/g' \
-       doc/ledger3.texi \
-       doc/CMakeLists.txt \
-       test/CheckTexinfo.py \
-       tools/cleanup.sh \
-       tools/gendocs.sh \
-       tools/prepare-commit-msg \
-       tools/spellcheck.sh \
-       || die "Failed to update info file name in file contents"
+               doc/ledger3.texi \
+               doc/CMakeLists.txt \
+               test/CheckTexinfo.py \
+               tools/cleanup.sh \
+               tools/gendocs.sh \
+               tools/prepare-commit-msg \
+               tools/spellcheck.sh \
+               || die "Failed to update info file name in file contents"
 
        mv doc/ledger{3,}.texi || die "Failed to rename info file name"
 }
@@ -97,7 +97,7 @@ src_install() {
        sed -i -e '/python/d' ../${P}_build/src/cmake_install.cmake \
                || die "Failed to disable installation of ledger.so"
 
-       enable_cmake-utils_src_install
+       cmake-utils_src_install
 
        # This source dir appears to include some helper code for serving
        # reports to a browser ("ledger server").  I can't quite get it to

Reply via email to